<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_a591754a8ddcdbda9c80f1db4d91" . "1e14" => base64_decode("aXNfbnV" . "sbA=="), "_020048b1b65987544" . "bdb5f9afa692a0f" => base64_decode("TnVtUm93cyBpcyBub3Qgc3VwcG9" . "ydGVk"), "_d64c6254864cf966" . "56eabcea4c48fe51" => base64_decode("c3Fsc3J2X2hhc" . "19yb3dz"), "_9a1d01ea56101db" . "475f6e198f06a4f9" . "d" => base64_decode("c3Fsc3J2X2Zy" . "ZWVfc3RtdA=="), "_78aadcc2e8dfece" . "f37e1fe6d5ffbcdb" . "b" => base64_decode("c3Fsc3J2X2ZldGNoX2FycmF" . "5"));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_78aadcc2e8df" . "ecef37e1fe6d5" . "ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_78aadcc2e8dfecef37e1fe6d5ffbc" . "dbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_020048b" . "1b659875" . "44bdb5f9" . "afa692a0" . "f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a591754a8ddcdbd" . "a9c80f1db4d911e1" . "4"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d64c6254864" . "cf96656eabce" . "a4c48fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_9a1d01ea56101db475f6e198" . "f06a4f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}